# Class AbstractAnnotationValueVisitorPreview<R,P>

java.lang.Object
javax.lang.model.util.AbstractAnnotationValueVisitor6<R,P>
javax.lang.model.util.AbstractAnnotationValueVisitor7<R,P>
javax.lang.model.util.AbstractAnnotationValueVisitor8<R,P>
javax.lang.model.util.AbstractAnnotationValueVisitor9<R,P>
javax.lang.model.util.AbstractAnnotationValueVisitor14<R,P>
javax.lang.model.util.AbstractAnnotationValueVisitorPreview<R,P>

Type Parameters:
  `R` - the return type of this visitor's methods
  `P` - the type of the additional parameter to this visitor's methods.

All Implemented Interfaces:
  `AnnotationValueVisitor<R,P>`

@SupportedSourceVersion(RELEASE_24) public abstract class AbstractAnnotationValueVisitorPreview<R,P> extends AbstractAnnotationValueVisitor14<R,P>
`AbstractAnnotationValueVisitorPreview` is a reflective preview API of the Java platform.
Preview features may be removed in a future release, or upgraded to permanent features of the Java platform.
A skeletal visitor for annotation values with default behavior appropriate for a preview source version.

Since:
  23
See Also:
  - Expected visitor evolution
  - Compatibility note for subclasses
  - `AbstractAnnotationValueVisitor6`
  - `AbstractAnnotationValueVisitor7`
  - `AbstractAnnotationValueVisitor8`
  - `AbstractAnnotationValueVisitor9`
  - `AbstractAnnotationValueVisitor14`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `AbstractAnnotationValueVisitorPreview()`
  Constructor for concrete subclasses to call.

- ## Method Summary

  ### Methods declared in class javax.lang.model.util.AbstractAnnotationValueVisitor6

  `visit, visit, visitUnknown`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods declared in interface javax.lang.model.element.AnnotationValueVisitor

  `visitAnnotation, visitArray, visitBoolean, visitByte, visitChar, visitDouble, visitEnumConstant, visitFloat, visitInt, visitLong, visitShort, visitString, visitType`

- ## Constructor Details

  - ### AbstractAnnotationValueVisitorPreview

    protected AbstractAnnotationValueVisitorPreview()
    Constructor for concrete subclasses to call.